#ifdef GL_ES
precision lowp float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

void main(void)
{
    vec4 color = texture2D(CC_Texture0, v_texCoord);
	float gray = dot(color.rgb, vec3(0.5,0.5,0.5));
	color.rgb += vec3((clamp(0.4,gray,1.0) - 0.4) * 0.25);
    gl_FragColor = v_fragmentColor * color;
}