#ifdef GL_ES
varying mediump vec4 v_color;
varying mediump vec2 v_texcoord;
#else
varying vec4 v_color;
varying vec2 v_texcoord;
#endif
uniform float CC_alpha_value;
void main()
{
	vec4 color = v_color*step(0.0, 1.0 - length(v_texcoord));
	if ( color.a <= CC_alpha_value )
       discard;
    gl_FragColor = color;
}